class IllegalDimension extends IllegalArgumentException { }

class MatrixExc {

    int[][] val;

    MatrixExc(int n, int m) throws IllegalDimension {
        if (n <= 0 || m <= 0) {
            throw new IllegalDimension();
        }
        val = new int[n][m];
    }

    int getRow() {
        return val.length;
    }

    int getColumn() {
        return val[0].length;
    }

    int getVal(int i, int j) throws IllegalDimension {
        return val[i][j];
    }

    void setVal(int i, int j, int v) {
        val[i][j] = v;
    }

    MatrixExc plus(MatrixExc b) {
        if (getColumn() != b.getColumn() || getRow() != b.getRow())
            throw new IllegalDimension();
        MatrixExc res = new MatrixExc(getRow(), b.getColumn());
        for (int i = 0; i < getRow(); i++) {
            for (int j = 0; j < getColumn(); j++) {
                res.setVal(i, j, getVal(i, j) + b.getVal(i, j));
            }
        }
        return res;
    }

    MatrixExc mult(MatrixExc b) {
        MatrixExc res = new MatrixExc(getRow(), getColumn());
        for (int i = 0; i < getRow(); i++) {
            for (int j = 0; j < b.getColumn(); j++) {
                res.setVal(i, j, 0);
                for (int k = 0; k < getColumn(); k++) {
                    res.setVal(i, j, res.getVal(i, j) + getVal(i, k) * b.getVal(k, j));
                }
            }
        }
        return res;
    }

    public static void main(String[] args) {
       
        // Matrix m = new Matrix(2, 3);
        // Matrix m1 = new Matrix(3, 2);
        //MatrixExc m = new MatrixExc(2, 2);
        //MatrixExc m1 = new MatrixExc(2, 2);
        MatrixExc m = new MatrixExc(2, 2);
        MatrixExc m1 = new MatrixExc(2, 2);

        // m.setVal(0, 0, 1);
        // m.setVal(0, 1, 2);
        // //m.setVal(0, 2, 5);
        // m.setVal(1, 0, 3);
        // m.setVal(1, 1, 4);
        // //m.setVal(1, 2, 6);

        // m1.setVal(0, 0, 7);
        // m1.setVal(1, 0, 8);
        // //m1.setVal(2, 0, 9);
        // m1.setVal(0, 1, 10);
        // m1.setVal(1, 1, 11);
        // //m1.setVal(2, 1, 12);

        MatrixExc mu = new MatrixExc(m.getRow(), m.getColumn());
        // // mu = m.mult(m1);
        // // System.out.println(mu.getVal(0, 0));
        // // System.out.println(mu.getVal(0, 1));
        // // System.out.println(mu.getVal(1, 0));
        // // System.out.println(mu.getVal(1, 1));
        mu = m.plus(m1);
        // System.out.println(mu.getVal(0, 0));
        // System.out.println(mu.getVal(0, 1));
        // System.out.println(mu.getVal(1, 0));
        // System.out.println(mu.getVal(1, 1));

    }
}